<template>
  <div v-if="stateRecipeList">
    <button @click="goBack">Go Back</button>
    <button @click="goBackHome">Home</button>
  <h1>soy la lista</h1>
    <div v-for="myRecipe in recipesList.meals" :key="myRecipe">
      <Recipe @ShowRecipeEvent="emitShowRecipes" 
      :recipeItem="myRecipe" />

    </div>
    
  </div>
</template>

<script>
import Recipe from "./Recipe.vue";
export default {
  name: "ShowScreenRecipeList",
  components: { Recipe, },
  props: {
    
      recipesList: {objectType:Array,required:true},
      stateRecipeList: { objectType: Boolean, required: true }
    
  },
  data() {
    return {
      nextScreen:""
    };
  },
  methods: {
    emitShowRecipes(idValue) {
      
      this.$emit("showRecipeEnFinalScreenEvent",idValue);
    },
    goBack(){
      this.$emit("goBackEvent");
    },
    goBackHome(){
      this.$emit("backHomeEvent");
    },
  }
};
</script>

<style scoped></style>
  